Subject: Re: bug#11781: compilation failure: `ULLONG_MAX' undeclared
From: Paul Eggert <[email-masked]>
To: Dan Nicolaescu <[email-masked]>
Cc: [email-masked]
Date: Fri, 06 Jul 2012 20:12:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

In trunk bzr 108930 I patched sysdep.c so that it defines
ULLONG_MAX if the system doesn't already define it; that should
fix the immediate problem so I've marked this as done.

About the C99 issue: Emacs uses a standard test for
C99, which checks for many C99 features that your
compiler lacks.  It then falls back on ordinary gcc.
Perhaps this could be hacked to be smarter, though I'm
not sure it's worth the aggravation if things are
working for you now.